Package ghidra.pty.ssh

# Class SshPtyEndpoint

java.lang.Object
ghidra.pty.ssh.SshPtyEndpoint

All Implemented Interfaces:
  `PtyEndpoint`

Direct Known Subclasses:
  `SshPtyChild`, `SshPtyParent`

public class SshPtyEndpoint extends Object implements PtyEndpoint

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final com.jcraft.jsch.ChannelExec`
  `channel`
  `protected final InputStream`
  `inputStream`
  `protected final OutputStream`
  `outputStream`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshPtyEndpoint(com.jcraft.jsch.ChannelExec channel, OutputStream outputStream, InputStream inputStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getInputStream()`
  Get the input stream for this end of the pty
  `OutputStream`
  `getOutputStream()`
  Get the output stream for this end of the pty

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### channel

    protected final com.jcraft.jsch.ChannelExec channel

  - ### outputStream

    protected final OutputStream outputStream

  - ### inputStream

    protected final InputStream inputStream

- ## Constructor Details

  - ### SshPtyEndpoint

    public SshPtyEndpoint(com.jcraft.jsch.ChannelExec channel, OutputStream outputStream, InputStream inputStream)

- ## Method Details

  - ### getOutputStream

    public OutputStream getOutputStream()
    Description copied from interface: `PtyEndpoint`
    Get the output stream for this end of the pty

    Writes to this stream arrive on the input stream for the opposite end, subject to the terminal's line discipline.

    Specified by:
      `getOutputStream` in interface `PtyEndpoint`
    Returns:
      the output stream

  - ### getInputStream

    public InputStream getInputStream()
    Description copied from interface: `PtyEndpoint`
    Get the input stream for this end of the pty

    Writes to the output stream of the opposite end arrive here, subject to the terminal's line discipline.

    Specified by:
      `getInputStream` in interface `PtyEndpoint`
    Returns:
      the input stream